export class Indicators {
  readonly cardsGU = [1, 2, 3, 4, 5, 7, 8, 9, 10, 11, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 36, 37];
  
  readonly cardsGO = [12, 13, 14, 15];
  
  readonly cardsTD = [6, 16, 17];
  
  readonly cardsTA = [28, 29, 30, 31, 32, 33, 34, 35];
  
  readonly auxDash = [];
  
  readonly cardListGU = [
    {
      cardId: 1,
      path: 'cardsDashboardGU/daysOfStockCard',
      local: true,
      width: 2,
    },
    {
      cardId: 2,
      path: 'cardsDashboardGU/processingDateCard',
      local: true,
      width: 2,
    },
    {
      cardId: 3,
      path: 'cardsDashboardGU/daysOfDelayCard',
      local: true,
      width: 2,
    },
    {
      cardId: 4,
      path: 'cardsDashboardGU/adjustmentValueCard',
      local: true,
      width: 2,
    },
    {
      cardId: 5,
      path: 'cardsDashboardGU/extraRequestCard',
      local: true,
      width: 2,
    },
    {
      cardId: 19,
      path: 'cardsDashboardGU/consumptionDiversionCard',
      local: true,
      width: 2,
    },
    {
      cardId: 20,
      path: 'cardsDashboardGU/nextMenuReleaseCard',
      local: true,
      width: 2,
    },
    {
      cardId: 21,
      path: 'cardsDashboardGU/daysMenuApprovalCard',
      local: true,
      width: 2,
    },
    {
      cardId: 22,
      path: 'cardsDashboardGU/financialImpactCard',
      local: true,
      width: 2,
    },
    {
      cardId: 23,
      path: 'cardsDashboardGU/pendingReleasesCard',
      local: true,
      width: 2,
    },
    {
      cardId: 8,
      path: 'cardsDashboardGU/inflation',
      local: true,
      width: 6,
    },
    {
      cardId: 9,
      path: 'cardsDashboardGU/todayDeliveries',
      local: true,
      width: 6,
    },
    {
      cardId: 11,
      path: 'cardsDashboardGU/productWithoutMov',
      local: true,
      width: 6,
    },
    {
      cardId: 36,
      path: 'cardsDashboardGU/expenseBudget',
      local: true,
      width: 6,
    },
    {
      cardId: 25,
      path: 'cardsDashboardGU/periodBudget',
      local: true,
      width: 12,
    },
    {
      cardId: 27,
      path: 'cardsDashboardGU/workflowConsumption',
      local: true,
      width: 6,
    },
    {
      cardId: 7,
      path: 'cardsDashboardGU/puAnalysisDay',
      local: true,
      width: 6,
    },
    {
      cardId: 10,
      path: 'cardsDashboardGU/demonstrativeSummary',
      local: true,
      width: 6,
    },
    {
      cardId: 24,
      path: 'cardsDashboardGU/consumptionBudget',
      local: true,
      width: 6,
    },
    {
      cardId: 26,
      path: 'cardsDashboardGU/demonstrativeSummaryGrid',
      local: true,
      width: 6,
    },
    {
      cardId: 18,
      path: 'cardsDashboardGU/costAnalysis',
      local: true,
      width: 6,
    },
    {
      cardId: 37,
      path: 'cardsDashboardGU/workflowExpense',
      local: true,
      width: 6,
    },
  ];
  
  readonly cardListGO = [
    {
      cardId: 12,
      path: 'cardsDashboardGO/costAnalysisAccumulated',
      local: true,
      width: 6,
    },
    {
      cardId: 13,
      path: 'cardsDashboardGO/adjustmentPercentConsumption',
      local: true,
      width: 6,
    },
    {
      cardId: 14,
      path: 'cardsDashboardGO/operationalResult',
      local: true,
      width: 6,
    },
    {
      cardId: 15,
      path: 'cardsDashboardGO/daysOfStock',
      local: true,
      width: 6,
    },
  ];
  
  readonly cardListTD = [
    {
      cardId: 6,
      path: 'cardsDashboardAC/trendAnalysis',
      local: true,
      width: 6,
    },
    {
      cardId: 16,
      path: 'cardsDashboardAC/monitoringOfStaff',
      local: true,
      width: 6,
    },
    {
      cardId: 17,
      path: 'cardsDashboardAC/costComparison',
      local: true,
      width: 12,
    },
  ];
  
  readonly cardListTA = [
    {
      cardId: 28,
      path: 'cardsDashboardTA/afApprovalFollowUp',
      local: true,
      width: 6,
    },
    {
      cardId: 29,
      path: 'cardsDashboardTA/previousDayAFDelivery',
      local: true,
      width: 6,
    },
    {
      cardId: 35,
      path: 'cardsDashboardTA/averageTimeAF',
      local: true,
      width: 6,
    },
    {
      cardId: 30,
      path: 'cardsDashboardTA/aFDeliveryLastWeek',
      local: true,
      width: 6,
    },
  ];

  // function getIndicators(panel): number[] {
  //   const indicListGU = indic.cardsGU.filter((obj) => obj.panel === panel);
    
  //   return indicListGU.map((obj) => obj.cardId);
  // }
}
